# Uses of Class
javax.crypto.DecapsulateException

Packages that use DecapsulateException
Package
Description
javax.crypto
Provides the classes and interfaces for cryptographic operations.

## Uses of DecapsulateException in javax.crypto

Methods in javax.crypto that throw DecapsulateException
Modifier and Type
Method
Description
`SecretKey`
KEM.Decapsulator.`decapsulate(byte[] encapsulation)`
The key decapsulation function.
`SecretKey`
KEM.Decapsulator.`decapsulate(byte[] encapsulation, int from, int to, String algorithm)`
The key decapsulation function.
`SecretKey`
KEMSpi.DecapsulatorSpi.`engineDecapsulate(byte[] encapsulation, int from, int to, String algorithm)`
The key decapsulation function.